#include <iostream>
using namespace std;
int main()
{
    int n; 
    int pa,np;
    cin>>n;
    int niz[n*2];
    int br=1;
    for(int i=0; i<n*2; i++){
        cin>>niz[i];
    }
    
    pa=niz[0];
    np=niz[1];
    bool b = true, t = true;
    for(int j =2; j<n*2; j++){
        if(j%2==0){
            if(niz[j]==pa)b = false;
            pa = niz[j];
        }
        else{
            if(niz[j]==np)t = false;
            np = niz[j];
        }
    }
    if(b==true && t==true)br=0;
    
    if(n==2){
        if(niz[0]!=niz[2] && niz[1]!=niz[3]){
            br=0;
        }
        else{
            br=1;
        }
    }
    if(n==1)br=0;
    cout<<br;
}